%def_with pic
%def_disable rpath
%def_disable debug
%def_with arts

Name: kipi-plugins
%define prerel -beta1
Version: 0.1.5
Release: alt0.1
Serial: 3
Group: Graphics
Summary: KDE image Interface Plugins
License: GPLv2+
Url: http://www.kipi-plugins.org/
Source: %name-%version%prerel.tar.bz2
Patch3: kipi-plugins-0.1.3rc1-alt-textrel.patch
Patch4: kipi-plugins-0.1.3-alt-gpod-link.patch
BuildConflicts: unsermake

# Automatically added by buildreq on Fri Oct 12 2007
BuildRequires: doxygen gcc-c++ kdelibs-devel libtiff-devel libqt3-devel
BuildRequires: libgphoto2-devel libjpeg-devel libmesa-devel xml-utils
BuildRequires: libxslt-devel
BuildRequires: libkipi-devel >= 0.1.5 libgpod-devel >= 0.4.2
BuildRequires: libkexiv2-devel >= 0.1.5 libkdcraw-devel >= 0.1.2

%description
The library of the KDE Image Plugin Interface used by digiKam and
Gwenview.


%prep
%setup -n %name-%version%prerel
%patch3 -p1
%patch4 -p1


%build
%define _optlevel 3
%make -f admin/Makefile.common cvs ||:
%configure \
    %{subst_with pic} \
    %{subst_enable rpath} \
    %{subst_enable debug} \
    %{subst_with arts} \
    --enable-new-ldflags
%make_build
bzip2 --best --keep --force ChangeLog


%install
%make DESTDIR=%buildroot install

%find_lang --with-kde %name
find %buildroot/%_datadir/locale -type f -name kipi\*.mo | \
while read f; do echo `basename "$f" .mo`; done | sort | uniq | \
while read n; do
    %find_lang --with-kde --append --output=%name.lang "$n"
done


%post -p %post_ldconfig
%postun -p %postun_ldconfig


%files -f %name.lang
%doc AUTHORS ChangeLog.* NEWS README TODO
%_bindir/*
%_libdir/*.so*
%_libdir/kde3/kipiplugin_*.so
%_datadir/apps/*
%_datadir/services/kipiplugin_*
%_datadir/config.kcfg/*
%_man1dir/*


%changelog
* Thu Oct 11 2007 Led <led@altlinux.ru> 3:0.1.5-alt0.1
- 0.1.5-beta1
- cleaned up spec
- fixed License
- updated BuildRequires
- added BuildConflicts

* Sat Sep 22 2007 Led <led@altlinux.ru> 3:0.1.4-alt2.1
- rebuild with new libkdcraw.so.2 and libkexiv2.so.3

* Tue Aug 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:0.1.4-alt2
- rebuild with libgpod-0.5.2

* Fri Jul 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:0.1.4-alt1
- 0.1.4

* Tue Feb 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:0.1.3-alt2
- rebuild with libgpod-0.4.2

* Sun Jan 28 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:0.1.3-alt1
- 0.1.3

* Tue Jan 23 2007 Sergey V Turchin <zerg at altlinux dot org> 2:0.1.3rc1-alt3
- fix linking

* Tue Jan 09 2007 Sergey V Turchin <zerg at altlinux dot org> 2:0.1.3rc1-alt2
- fix configure options
- fix build requires
- fix files list

* Sun Jan 07 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:0.1.3rc1-alt1
- 0.1.3-rc1
- fixed URL
- drop kipi-plugins-0.1rc1-alt-images2mpeg.patch
- updated build dependencies

* Fri Sep 08 2006 Sergey V Turchin <zerg at altlinux dot org> 1:0.1rc1-alt3
- fix images2mpg; thanks cityhawk@alt

* Fri Feb 03 2006 Sergey V Turchin <zerg at altlinux dot org> 1:0.1rc1-alt2
- rebuilt with new pkg-config
- fix build with new kde

* Tue Sep 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1rc1-alt1
- 0.1.0-rc1

* Fri Jul 08 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1beta2-alt1
- 0.1.0-beta2

* Fri Jan 21 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1beta1-alt1.1.1
- Rebuild with libkexif-0.2.1.

* Fri Jan 21 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1:0.1beta1-alt1.1
- Rebuilt with libstdc++.so.6.

* Fri Oct 29 2004 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1beta1-alt1
- 0.1-beta1

* Fri Sep 17 2004 ALT QA Team Robot <qa-robot@altlinux.org> 20040801-alt1.1
- Rebuilt with libtiff.so.4.

* Wed Aug 25 2004 Valery Inozemtsev <shrek@altlinux.ru> 20040801-alt1
- initial release

